Loading...
Searching...
No Matches
nanovdb::io::Internal Namespace Reference

Internal functions for compressed read/write of a NanoVDB GridHandle into a stream. More...

## Functions

template<typename BufferT>
static fileSize_t | write (std::ostream &os, const GridHandle< BufferT > &handle, Codec codec)
template<typename BufferT>
static void | read (std::istream &is, GridHandle< BufferT > &handle, Codec codec)

## Variables

static constexpr fileSize_t | MAX_SIZE = 1UL << 30

## Detailed Description

Internal functions for compressed read/write of a NanoVDB GridHandle into a stream.

Warning
  These functions should never be called directly by client code

## Function Documentation

## read()

template<typename BufferT>

void read | ( | std::istream & | is,
|  | GridHandle< BufferT > & | handle,
|  | Codec | codec )

static

## write()

template<typename BufferT>

fileSize_t write | ( | std::ostream & | os,
|  | const GridHandle< BufferT > & | handle,
|  | Codec | codec )

static

## Variable Documentation

## MAX_SIZE

fileSize_t MAX_SIZE = 1UL << 30

static constexpr